/*
 * Created on Jun 1, 2005
 *
 * Unpublished Work, Copyright, 2005 Northrop Grumman
 */
package gov.grants.apply.dao;

import java.util.Calendar;
import java.util.Date;

/**
 * @author Grants.gov WebServices Team
 * A value object representing the data from a SF424 Header.
 */
public final class SF424Header
{
   private String activityTitle = null;
   private String agencyName = null;
   private String cfdaNumber = null;
   private Calendar closingDate = null;
   private String competitionID = null;
   private String hashAlgorithm = null;
   private byte[] hashValue = null;
   private Date openingDate = null;
   private String opportunityID = null;
   private String opportunityTitle = null;
   private String schemaVersion = null;
   private String submissionTitle = null;
   
   public final String getActivityTitle()
   {
      return activityTitle;
   }
   public final void setActivityTitle(String activityTitle)
   {
      this.activityTitle = activityTitle;
   }
   public final String getAgencyName()
   {
      return agencyName;
   }
   public final void setAgencyName(String agencyName)
   {
      this.agencyName = agencyName;
   }
   public final String getCfdaNumber()
   {
      return cfdaNumber;
   }
   public final void setCfdaNumber(String cfdaNumber)
   {
      this.cfdaNumber = cfdaNumber;
   }
   public final Calendar getClosingDate()
   {
      return closingDate;
   }
   public final void setClosingDate(Calendar closingDate)
   {
      this.closingDate = closingDate;
   }
   public final String getCompetitionID()
   {
      return competitionID;
   }
   public final void setCompetitionID(String competitionID)
   {
      this.competitionID = competitionID;
   }
   public final String getHashAlgorithm()
   {
      return hashAlgorithm;
   }
   public final void setHashAlgorithm(String hashAlgorithm)
   {
      this.hashAlgorithm = hashAlgorithm;
   }
   public final byte[] getHashValue()
   {
      return hashValue;
   }
   public final void setHashValue(byte[] hashValue)
   {
      this.hashValue = hashValue;
   }
   public final Date getOpeningDate()
   {
      return openingDate;
   }
   public final void setOpeningDate(Date openingDate)
   {
      this.openingDate = openingDate;
   }
   public final String getOpportunityID()
   {
      return opportunityID;
   }
   public final void setOpportunityID(String opportunityID)
   {
      this.opportunityID = opportunityID;
   }
   public final String getOpportunityTitle()
   {
      return opportunityTitle;
   }
   public final void setOpportunityTitle(String opportunityTitle)
   {
      this.opportunityTitle = opportunityTitle;
   }
   public final String getSchemaVersion()
   {
      return schemaVersion;
   }
   public final void setSchemaVersion(String schemaVersion)
   {
      this.schemaVersion = schemaVersion;
   }
   public final String getSubmissionTitle()
   {
      return submissionTitle;
   }
   public final void setSubmissionTitle(String submissionTitle)
   {
      this.submissionTitle = submissionTitle;
   }
}
