/*
 * Created on Jun 1, 2005
 *
 * Unpublished Work, Copyright, 2004 Northrop Grumman
 */
package gov.grants.apply.dao;

/**
 * @author Grants.gov WebServices Team
 *
 * Value object carrying filter information for the GetApplicationList operation.
 */
public final class GetApplicationListFilter
{
   private String _oppID = null;
   private String _cfdaNum = null;
   private String _status = null;
   private String _grantsgovTrackingNum = null;
   
   /**
    * @return The Grants.gov tracking number.
    */
   public String getGrantsGovTrackingNum()
   {
      return _grantsgovTrackingNum;
   }
   
   /**
    * @param num The Grants.gov tracking number.
    */
   public void setGrantsGovTrackingNum(String num)
   {
      _grantsgovTrackingNum = num;
   }
   
   /**
    * @return The CFDA number.
    */
   public String getCfdaNum()
   {
      return _cfdaNum;
   }
   /**
    * @param num The CFDA number to set.
    */
   public void setCfdaNum(String num)
   {
      _cfdaNum = num;
   }
   /**
    * @return The opportunity ID.
    */
   public String getOppID()
   {
      return _oppID;
   }
   /**
    * @param oppid The opportunity ID to set.
    */
   public void setOppID(String oppid)
   {
      _oppID = oppid;
   }
   /**
    * @return The status.
    */
   public String getStatus()
   {
      return _status;
   }
   /**
    * @param status The status to set.
    */
   public void setStatus(String status)
   {
      _status = status;
   }
}
