/*
 * Created on Jun 1, 2005
 *
 * Unpublished Work, Copyright, 2005 Northrop Grumman
 */
package gov.grants.apply.dao;

import java.util.Calendar;


/**
 * @author Grants.gov WebServices Team
 * A value object representing the data from a SF424 Footer.
 */
public final class SF424Footer
{
   private String grantsGovTrackingNumber = null;
   private String hashAlgorithm = null;
   private byte[] hashValue = null;
   private Calendar receivedDateTime = null;
   private String schemaVersion = null;
   private String submitterName = null;
   
   public final String getGrantsGovTrackingNumber()
   {
      return grantsGovTrackingNumber;
   }
   public final void setGrantsGovTrackingNumber(String grantsGovTrackingNumber)
   {
      this.grantsGovTrackingNumber = grantsGovTrackingNumber;
   }
   public final String getHashAlgorithm()
   {
      return hashAlgorithm;
   }
   public final void setHashAlgorithm(String hashAlgorithm)
   {
      this.hashAlgorithm = hashAlgorithm;
   }
   public final byte[] getHashValue()
   {
      return hashValue;
   }
   public final void setHashValue(byte[] hashValue)
   {
      this.hashValue = hashValue;
   }
   public final Calendar getReceivedDateTime()
   {
      return receivedDateTime;
   }
   public final void setReceivedDateTime(Calendar receivedDateTime)
   {
      this.receivedDateTime = receivedDateTime;
   }
   public final String getSchemaVersion()
   {
      return schemaVersion;
   }
   public final void setSchemaVersion(String schemaVersion)
   {
      this.schemaVersion = schemaVersion;
   }
   public final String getSubmitterName()
   {
      return submitterName;
   }
   public final void setSubmitterName(String submitterName)
   {
      this.submitterName = submitterName;
   }
}
